# Interface methods for submodule: LevelSetMotionRegistrationFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import PDEDeformableRegistrationFilterProxy as _PDEDeformableRegistrationFilterProxy


# Interface methods for class: LevelSetMotionRegistrationFilter
class LevelSetMotionRegistrationFilterProxy(_PDEDeformableRegistrationFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetMetric(self) -> float:
		""""""
		...

	def SetAlpha(self, arg0: float) -> None:
		""""""
		...

	def GetAlpha(self) -> float:
		""""""
		...

	def SetIntensityDifferenceThreshold(self, arg0: float) -> None:
		""""""
		...

	def GetIntensityDifferenceThreshold(self) -> float:
		""""""
		...

	def SetGradientMagnitudeThreshold(self, arg0: float) -> None:
		""""""
		...

	def GetGradientMagnitudeThreshold(self) -> float:
		""""""
		...

	def SetGradientSmoothingStandardDeviations(self, sigma: float) -> None:
		""""""
		...

	def GetGradientSmoothingStandardDeviations(self) -> float:
		""""""
		...

